Skip to main content
`Ctrl`+`K`

# DMLabelGetStratumPointIndex

Get the index of a point in a given stratum

## Synopsis

    #include "petscdmlabel.h"
    #include "petscsection.h"
    PetscErrorCode DMLabelGetStratumPointIndex(DMLabel label, PetscInt value, PetscInt p, PetscInt *index)

Not Collective

## Input Parameters

- label - The `DMLabel`

- value - The label value

- p - A point with this value

## Output Parameter

- index - The index of this point in the stratum, or -1 if the point is not in the stratum or the stratum does not exist

## See Also

`DMLabel`, `DM`, `DMLabelGetValueIndex()`, `DMLabelGetStratumIS()`, `DMLabelCreate()`

## Level

intermediate

## Location

src/dm/label/dmlabel.c

Index of all DMLabel routines
Table of Contents for all manual pages
Index of all manual pages